# RPM specfile for pspell-compat module
# Generated Thu Dec 12 22:13:23 2002 GMT by Ximian build system
# from $Id: bb_do,v 1.211 2002/10/24 21:04:38 peter Exp $

%define nam	pspell-compat
%define ver	0.11.2
%define ximrev	1

Name:     	pspell-compat
Version: 	0.11.2
Release:	ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.1 / i386
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://pspell.sourceforge.net/
Source0:	pspell-.11.2.tar.gz
Summary:	Portable Spell Checker Interface Library.
Group:		Applications/Text
Provides:	ximian-default = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
The Pspell library provides a generic interface to spell checker
libraries installed on the system.

%files
%defattr(-, root, root)
%doc COPYING README
/usr/lib/libpspell*.so.*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n pspell-.11.2
    ;;
all)
%setup  -q -n pspell-.11.2
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var --enable-ltdl
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install DESTDIR=${DESTDIR}; rm -rf ${DESTDIR}/usr/include ${DESTDIR}/usr/share ${DESTDIR}/usr/doc
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Thu Dec 12 2002 Ximian, Inc.

- Version: 0.11.2-ximian.1
- Summary: New build.
- New automated build.

